package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import org.zkoss.util.resource.Labels;

public class RenderOrgaoConcedente implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        OrgaoConcedente orgaoConcedente = (OrgaoConcedente) o;

        Listcell lc = new Listcell(orgaoConcedente.getOrgaoConcedenteId().toString());
        lc.setParent(lstm);

        lc = new Listcell(orgaoConcedente.getDescOrgao());
        lc.setParent(lstm);

        if (orgaoConcedente.getIndDefaultSeguro()) {
            lc = new Listcell(Labels.getLabel("MSG.SI"));
        } else {
            lc = new Listcell(Labels.getLabel("MSG.NO"));
        }
        lc.setParent(lstm);

        if (orgaoConcedente.getIndSubSeguro()) {
            lc = new Listcell(Labels.getLabel("MSG.SI"));
        } else {
            lc = new Listcell(Labels.getLabel("MSG.NO"));
        }
        lc.setParent(lstm);
        
        if(orgaoConcedente != null && orgaoConcedente.getIndicePeaje() != null) {
        	lc = new Listcell(orgaoConcedente.getIndicePeaje().toString().replace(".", ","));
        } else {
        	lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", orgaoConcedente);
    }
}
